## prometheus-alertmanager 0.5.1+ds

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO    := GO15VENDOREXPERIMENT=1 go
PROMU := $(GOPATH)/bin/promu
pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)

PREFIX                  ?= $(shell pwd)
BIN_DIR                 ?= $(shell pwd)
DOCKER_IMAGE_NAME       ?= alertmanager
DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))

ifdef DEBUG
	bindata_flags = -debug
endif


all: format build test

test:
	@echo ">> running tests"
	@$(GO) test -short $(pkgs)

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

build: promu
	@echo ">> building binaries"
	@$(PROMU) build --prefix $(PREFIX)

tarball: promu
	@echo ">> building release tarball"
	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)

docker:
	@echo ">> building docker image"
	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .

assets:
	@echo ">> writing assets"
	-@$(GO) get -u github.com/jteeuwen/go-bindata/...
	@go-bindata $(bindata_flags) -pkg ui -o ui/bindata.go ui/...
	@go-bindata $(bindata_flags) -pkg deftmpl -o template/internal/deftmpl/bindata.go template/default.tmpl

promu:
	@GOOS=$(shell uname -s | tr A-Z a-z) \
	GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
	$(GO) get -u github.com/prometheus/promu


.PHONY: all style format build test vet assets tarball docker promu

## prometheus-alertmanager 0.3.0+ds

=== debian/changelog ===
prometheus-alertmanager (0.3.0+ds-2) unstable; urgency=medium

  * Add patch to fix flaky tests due to timing issues. Closes: #830936.

 -- Martín Ferrari <tincho@debian.org>  Fri, 15 Jul 2016 13:56:49 +0100

prometheus-alertmanager (0.3.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #828073)

 -- Martín Ferrari <tincho@debian.org>  Tue, 12 Jul 2016 03:23:21 +0000

=== debian/control ===
Source: prometheus-alertmanager
Section: net
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: adduser, debhelper (>= 9.0.0),
               golang-any (>= 1.3),
               dh-golang (>= 1.17~),
               golang-github-boltdb-bolt-dev,
               golang-github-cenkalti-backoff-dev,
               golang-github-kylelemons-godebug-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-prometheus-common-dev,
               golang-golang-x-sys-dev,
               golang-prometheus-client-dev,
               node-uglify,
               python-pkg-resources,
               python-pyscss,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-alertmanager.git/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-alertmanager.git/
Homepage: https://prometheus.io/

Package: prometheus-alertmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemon,
         libjs-angularjs,
         libjs-d3,
         libjs-jquery,
         libjs-moment,
Built-Using: ${misc:Built-Using}
Description: Handle and deliver alerts created by Prometheus
 The Alertmanager handles alerts sent by client applications such as the
 Prometheus server. It takes care of deduplicating, grouping, and routing them
 to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
 also takes care of silencing and inhibition of alerts.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_GOPKG := github.com/prometheus/alertmanager

# Acceptance tests need to be run separately.
export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/test/acceptance
export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

DEBVERS    ?= $(shell dpkg-parsechangelog -SVersion)
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog -SSource)
DEBDATE    ?= $(shell dpkg-parsechangelog -SDate)
REV        := $(DEBVERS)
BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
HOSTNAME   := debian
BUILD_DATE := $(shell date --utc --date='$(DEBDATE)' +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS := -ldflags \
  " -X $(METAPKG)/version.Version=$(VERSION)\
    -X $(METAPKG)/version.Revision=$(REV)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

#override_dh_auto_configure:
#	dh_auto_configure -O--buildsystem=golang

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
#	# Build UI dependencies.
	mkdir -vp $(BUILDDIR)/uideps
	uglifyjs --mangle --compress \
	    < ui/lib/angular-moment/angular-moment.js \
	    > $(BUILDDIR)/uideps/angular-moment.js
	python2-pyscss ui/lib/kube/src/kube.scss \
	    > $(BUILDDIR)/uideps/kube.min.css

override_dh_auto_test:
	dh_auto_test
	GOPATH=$(BUILDDIR) go test -v $(DH_GOLANG_EXCLUDES)

override_dh_auto_install:
	cp -v $(BUILDDIR)/bin/alertmanager \
            debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
                upstream/$(subst ~,_,$(VERSION)) > \
                ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi

## prometheus-alertmanager 0.5.1+ds

=== debian/changelog ===
prometheus-alertmanager (0.5.1+ds-7) unstable; urgency=medium

  * Increase timing margins even more, hopefully upstream will find a better
    solution soon.
    Also ensure the test alertmanager used for acceptance tests is ready (by
    connecting to its http server) before trying to use it. Closes: 851372.
  * Don't abort if acceptance tests fail, as they are too sensitive to
    timing issues.

 -- Martín Ferrari <tincho@debian.org>  Mon, 16 Jan 2017 03:56:46 +0000

prometheus-alertmanager (0.5.1+ds-6) unstable; urgency=medium

  * Increase timing margings for flaky tests, as this is currently preventing
    mips from building properly.

 -- Martín Ferrari <tincho@debian.org>  Sat, 14 Jan 2017 05:48:45 -0300

prometheus-alertmanager (0.5.1+ds-5) unstable; urgency=medium

  * Fix name of minified angular-moment library. Fixes bug reported in GitHub:
    https://github.com/prometheus/alertmanager/issues/590

 -- Martín Ferrari <tincho@debian.org>  Sun, 08 Jan 2017 01:02:38 -0300

prometheus-alertmanager (0.5.1+ds-4) unstable; urgency=medium

  * Provide golang-github-prometheus-alertmanager-dev. Closes: #837756.

 -- Martín Ferrari <tincho@debian.org>  Sun, 25 Dec 2016 23:54:52 -0300

prometheus-alertmanager (0.5.1+ds-3) unstable; urgency=medium

  * Disable more flaky tests.

 -- Martín Ferrari <tincho@debian.org>  Tue, 13 Dec 2016 10:37:48 +0100

prometheus-alertmanager (0.5.1+ds-2) unstable; urgency=medium

  * Gccgo can't handle vendoring currently, so process it manually.

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 Dec 2016 11:04:08 +0000

prometheus-alertmanager (0.5.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.
  * Update dependencies.
  * New patch to fix API change in prometheus/master, backported from
    upstream master.
  * Disable another flaky test.

 -- Martín Ferrari <tincho@debian.org>  Fri, 02 Dec 2016 22:40:14 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
                golang-github-kylelemons-godebug-dev,
                golang-github-mattn-go-sqlite3-dev,
                golang-github-prometheus-common-dev,
+               golang-github-satori-go.uuid-dev,
+               golang-github-weaveworks-mesh-dev,
                golang-golang-x-sys-dev,
                golang-prometheus-client-dev,
                node-uglify,
@@ -34,3 +36,23 @@
  Prometheus server. It takes care of deduplicating, grouping, and routing them
  to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
  also takes care of silencing and inhibition of alerts.
+
+Package: golang-github-prometheus-alertmanager-dev
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+               golang-github-boltdb-bolt-dev,
+               golang-github-cenkalti-backoff-dev,
+               golang-github-kylelemons-godebug-dev,
+               golang-github-mattn-go-sqlite3-dev,
+               golang-github-prometheus-common-dev,
+               golang-github-satori-go.uuid-dev,
+               golang-github-weaveworks-mesh-dev,
+               golang-golang-x-sys-dev,
+               golang-prometheus-client-dev,
+Description: Handle and deliver alerts created by Prometheus -- source
+ The Alertmanager handles alerts sent by client applications such as the
+ Prometheus server. It takes care of deduplicating, grouping, and routing them
+ to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
+ also takes care of silencing and inhibition of alerts.
+ .
+ This package provides the source code to be used as a library.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 BUILDDIR := $(CURDIR)/build
 METAPKG := github.com/prometheus/common
+BINPKG := prometheus-alertmanager
+LIBPKG := golang-github-prometheus-alertmanager-dev
 
 DEBVERS    ?= $(shell dpkg-parsechangelog -SVersion)
 VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
@@ -20,6 +22,7 @@
 HOSTNAME   := debian
 BUILD_DATE := $(shell date --utc --date='$(DEBDATE)' +%Y%m%d-%H:%M:%S)
 GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
+GCCGO      := $(strip $(shell go version | grep gccgo))
 BUILDFLAGS := -ldflags \
   " -X $(METAPKG)/version.Version=$(VERSION)\
     -X $(METAPKG)/version.Revision=$(REV)\
@@ -31,8 +34,15 @@
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
 
-#override_dh_auto_configure:
-#	dh_auto_configure -O--buildsystem=golang
+ifneq ($(GCCGO),)
+# Gccgo ignores vendoring.
+API_PATH := github.com/prometheus/client_golang/api/alertmanager
+override_dh_auto_configure:
+	mkdir -vp `dirname $(BUILDDIR)/src/$(API_PATH)`
+	dh_auto_configure
+	mv -v $(BUILDDIR)/src/$(DH_GOPKG)/vendor/$(API_PATH) \
+		$(BUILDDIR)/src/$(API_PATH)
+endif
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
@@ -40,17 +50,26 @@
 	mkdir -vp $(BUILDDIR)/uideps
 	uglifyjs --mangle --compress \
 	    < ui/lib/angular-moment/angular-moment.js \
-	    > $(BUILDDIR)/uideps/angular-moment.js
+	    > $(BUILDDIR)/uideps/angular-moment.min.js
 	python2-pyscss ui/lib/kube/src/kube.scss \
 	    > $(BUILDDIR)/uideps/kube.min.css
 
 override_dh_auto_test:
 	dh_auto_test
-	GOPATH=$(BUILDDIR) go test -v $(DH_GOLANG_EXCLUDES)
+	# Don't abort if acceptance tests fail, as they are too sensitive to
+	# timing issues.
+	GOPATH=$(BUILDDIR) go test -v $(DH_GOLANG_EXCLUDES) || true
 
 override_dh_auto_install:
-	cp -v $(BUILDDIR)/bin/alertmanager \
-            debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
+	cp -v $(BUILDDIR)/bin/alertmanager debian/$(BINPKG)/usr/bin/$(BINPKG)
+	mkdir -vp debian/$(LIBPKG)/usr/share/gocode/$(DH_GOPKG)
+	cp -vaT $(BUILDDIR)/src/$(DH_GOPKG) \
+            debian/$(LIBPKG)/usr/share/gocode/$(DH_GOPKG)
+ifneq ($(GCCGO),)
+	mkdir -vp debian/$(LIBPKG)/usr/share/gocode/$(API_PATH)
+	cp -vaT $(BUILDDIR)/src/$(API_PATH) \
+            debian/$(LIBPKG)/usr/share/gocode/$(API_PATH)
+endif
 
 gen-orig-tgz:
 	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \

## prometheus-alertmanager 0.6.2%2Bds

=== Makefile ===
--- 
+++ 
@@ -66,5 +66,7 @@
 	GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
 	$(GO) get -u github.com/prometheus/promu
 
+proto:
+	scripts/genproto.sh
 
-.PHONY: all style format build test vet assets tarball docker promu
+.PHONY: all style format build test vet assets tarball docker promu proto

## prometheus-alertmanager 0.6.2+ds

=== debian/changelog ===
prometheus-alertmanager (0.6.2+ds-3) unstable; urgency=medium

  [ Martín Ferrari ]
  * Team upload.
  * debian/control: Update Standards-Version (no changes).
  * Automatic fixes to control and copyright from cme.
  * Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk
  * debian/control: Update package name for client-golang.

  [ Michael Stapelberg ]
  * gbp.conf: set debian-branch

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 19:42:29 +0100

prometheus-alertmanager (0.6.2+ds-2) unstable; urgency=medium

  * Fix compilation on gccgo/mips*.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 Aug 2017 14:51:59 +0000

prometheus-alertmanager (0.6.2+ds-1) unstable; urgency=medium

  * New upstream release. Closes: 871330, 862007..
  * Fix installation path for source files.
  * Refresh patches.
  * Add gbp.conf.
  * debian/copyright: Document new vendored dependency.
  * debian/control:
    - Update Standards-Version (no changes).
    - Fix Vcs-* fields.
    - Mark package as autopkgtest-able.
    - Require latest version of the common library.
    - Add new dependencies.
  * debian/default: Update options.
  * Fix /var/lib permissions.

 -- Martín Ferrari <tincho@debian.org>  Wed, 16 Aug 2017 21:00:28 +0000

=== debian/control ===
Source: prometheus-alertmanager
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: extra
Build-Depends: adduser,
               debhelper (>= 9.0.0),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-boltdb-bolt-dev,
               golang-github-cenkalti-backoff-dev,
               golang-github-gogo-protobuf-dev,
               golang-github-kylelemons-godebug-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-satori-go.uuid-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-github-weaveworks-mesh-dev,
               golang-golang-x-sys-dev,
               node-uglify,
               python-pkg-resources,
               python-pyscss,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-alertmanager.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-alertmanager.git
Homepage: https://prometheus.io/
XS-Go-Import-Path: github.com/prometheus/alertmanager

Package: prometheus-alertmanager
Architecture: any
Depends: daemon,
         libjs-angularjs,
         libjs-d3,
         libjs-jquery,
         libjs-moment,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Handle and deliver alerts created by Prometheus
 The Alertmanager handles alerts sent by client applications such as the
 Prometheus server. It takes care of deduplicating, grouping, and routing them
 to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
 also takes care of silencing and inhibition of alerts.

Package: golang-github-prometheus-alertmanager-dev
Architecture: any
Depends: golang-github-boltdb-bolt-dev,
         golang-github-cenkalti-backoff-dev,
         golang-github-gogo-protobuf-dev,
         golang-github-kylelemons-godebug-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-prometheus-common-dev,
         golang-github-satori-go.uuid-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-spf13-viper-dev,
         golang-github-weaveworks-mesh-dev,
         golang-golang-x-sys-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Handle and deliver alerts created by Prometheus -- source
 The Alertmanager handles alerts sent by client applications such as the
 Prometheus server. It takes care of deduplicating, grouping, and routing them
 to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
 also takes care of silencing and inhibition of alerts.
 .
 This package provides the source code to be used as a library.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1
export DH_GOPKG := github.com/prometheus/alertmanager

# Acceptance tests need to be run separately.
export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/test/acceptance
export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common
BINPKG := prometheus-alertmanager
LIBPKG := golang-github-prometheus-alertmanager-dev

BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
GCCGO      := $(strip $(shell go version | grep gccgo))
BUILDFLAGS := -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq ($(GCCGO),)
# Workaround until #872402 is fixed.
ifeq ($(findstring mips,$(DEB_HOST_ARCH)),mips)
# mipsel => mipsle, mips64el => mips64le
BUILDFLAGS += -tags $(DEB_HOST_ARCH:el=le)
endif
# Gccgo ignores vendoring.
API_PATH := github.com/prometheus/client_golang/api/alertmanager
override_dh_auto_configure:
	mkdir -vp `dirname $(BUILDDIR)/src/$(API_PATH)`
	dh_auto_configure
	mv -v $(BUILDDIR)/src/$(DH_GOPKG)/vendor/$(API_PATH) \
		$(BUILDDIR)/src/$(API_PATH)
endif

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
#	# Build UI dependencies.
	mkdir -vp $(BUILDDIR)/uideps
	uglifyjs --mangle --compress \
	    < ui/lib/angular-moment/angular-moment.js \
	    > $(BUILDDIR)/uideps/angular-moment.min.js
	python2-pyscss ui/lib/kube/src/kube.scss \
	    > $(BUILDDIR)/uideps/kube.min.css

override_dh_auto_test:
	dh_auto_build -- $(BUILDFLAGS)
	# Don't abort if acceptance tests fail, as they are too sensitive to
	# timing issues.
	GOPATH=$(BUILDDIR) go test -v $(DH_GOLANG_EXCLUDES) || true

override_dh_auto_install:
	cp -v $(BUILDDIR)/bin/alertmanager debian/$(BINPKG)/usr/bin/$(BINPKG)
	mkdir -vp debian/$(LIBPKG)/usr/share/gocode/src/$(DH_GOPKG)
	cp -vaT $(BUILDDIR)/src/$(DH_GOPKG) \
            debian/$(LIBPKG)/usr/share/gocode/src/$(DH_GOPKG)
ifneq ($(GCCGO),)
	mkdir -vp debian/$(LIBPKG)/usr/share/gocode/src/$(API_PATH)
	cp -vaT $(BUILDDIR)/src/$(API_PATH) \
            debian/$(LIBPKG)/usr/share/gocode/src/$(API_PATH)
endif

## prometheus-alertmanager 0.15.3%2Bds

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1
export DH_GOPKG := github.com/prometheus/alertmanager

# Acceptance tests need to be run separately.
export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/test/acceptance examples
export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl

METAPKG := github.com/prometheus/common
BINPKG := prometheus-alertmanager
LIBPKG := golang-github-prometheus-alertmanager-dev

BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
GCCGO      := $(strip $(shell go version | grep gccgo))
VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | tr '~' '-')
BUILDFLAGS := -ldflags \
  " -X $(METAPKG)/version.Version=$(VERSION)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion \
	    --builddirectory=build

WHATIS1 := "prometheus-alertmanager \\- The Prometheus alert manager"
WHATIS2 := "promtool \\- Tooling for the Prometheus alert manager"

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	cp -v build/bin/alertmanager build/bin/prometheus-alertmanager
	# Build bash completion scripts.
	mkdir -vp build/bash_completion.d
	build/bin/amtool --completion-script-bash > \
	    build/bash_completion.d/amtool
	# Build man pages.
	mkdir -vp build/man
	build/bin/prometheus-alertmanager --help-man > \
	    build/man/prometheus-alertmanager.1
	build/bin/amtool --help-man > \
	    build/man/amtool.1
	# Remove build information headers, and fix whatis entry.
	sed -i '/^  /d; /^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) \
	    build/man/prometheus-alertmanager.1
	sed -i '/^  /d; /^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) \
	    build/man/amtool.1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	# Don't abort if acceptance tests fail, as they are too sensitive to
	# timing issues.
	GOPATH=$(CURDIR)/build go test -v $(DH_GOPKG)/test/acceptance || true
endif

override_dh_auto_install:
	dh_auto_install
	dh_install -p$(LIBPKG) usr/share/gocode
	dh_install -p$(BINPKG) usr/bin/amtool
	dh_install -p$(BINPKG) usr/bin/prometheus-alertmanager

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?([^\/]+)\.tar\.gz/prometheus-alertmanager-$1.tar.gz/,\
dversionmangle=s/\+ds\d*$//,uversionmangle=s/rc/~rc/" \
        https://github.com/prometheus/alertmanager/tags \
        (?:.*/)?v?(\d[\d\.]*(?:rc\d*)?)\.tar\.gz

## prometheus-alertmanager 0.15.3+ds

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

include Makefile.common

FRONTEND_DIR            = $(BIN_DIR)/ui/app
DOCKER_IMAGE_NAME       ?= alertmanager

ifdef DEBUG
	bindata_flags = -debug
endif

STATICCHECK_IGNORE = \
  github.com/prometheus/alertmanager/notify/notify.go:SA6002


.PHONY: build-all
# Will build both the front-end as well as the back-end
build-all: assets build

assets: go-bindata ui/bindata.go template/internal/deftmpl/bindata.go

go-bindata:
	-@$(GO) get -u github.com/jteeuwen/go-bindata/...

template/internal/deftmpl/bindata.go: template/default.tmpl
	@go-bindata $(bindata_flags) -mode 420 -modtime 1 -pkg deftmpl -o template/internal/deftmpl/bindata.go template/default.tmpl
	@$(GO) fmt ./template/internal/deftmpl

ui/bindata.go: ui/app/script.js ui/app/index.html ui/app/lib
# Using "-mode 420" and "-modtime 1" to make assets make target deterministic.
# It sets all file permissions and time stamps to 420 and 1
	@go-bindata $(bindata_flags) -mode 420 -modtime 1 -pkg ui -o \
		ui/bindata.go ui/app/script.js \
		ui/app/index.html \
		ui/app/favicon.ico \
		ui/app/lib/...
	@$(GO) fmt ./ui

ui/app/script.js: $(shell find ui/app/src -iname *.elm)
	cd $(FRONTEND_DIR) && $(MAKE) script.js

.PHONY: proto
proto:
	scripts/genproto.sh

.PHONY: clean
clean:
	rm template/internal/deftmpl/bindata.go
	rm ui/bindata.go
	cd $(FRONTEND_DIR) && $(MAKE) clean

=== ui/app/Makefile ===
ELM_FILES := $(shell find src -iname *.elm)
DOCKER_IMG :=elm-env
DOCKER_CMD := docker run --rm -t -v $(PWD):/app -w /app $(DOCKER_IMG)
# macOS requires mktemp template to be at the end of the filename.
TEMPFILE := $(shell mktemp ./elm-XXXXXXXXXX)
# --output flag for elm make must end in .js or .html.
TEMPFILE_JS := "$(TEMPFILE).js"

ifeq ($(NO_DOCKER), true)
  DOCKER_CMD=
endif

all: test script.js

elm-env:
	@(if [ "$(NO_DOCKER)" != "true" ] ; then \
		echo ">> building elm-env docker image"; \
		docker build -t $(DOCKER_IMG) ../. > /dev/null; \
	fi; )

format: elm-env $(ELM_FILES)
	@echo ">> format front-end code"
	@$(DOCKER_CMD) elm-format --yes $(ELM_FILES)

test: elm-env
	@$(DOCKER_CMD) elm-format $(ELM_FILES) --validate
	@$(DOCKER_CMD) elm-test

dev-server:
	elm-reactor

script.js: elm-env format $(ELM_FILES)
	@echo ">> building script.js"
	@$(DOCKER_CMD) elm make src/Main.elm --yes --output $(TEMPFILE_JS)
	@$(DOCKER_CMD) uglifyjs $(TEMPFILE_JS) --compress unused --mangle --output $(@)
	@rm -rf $(TEMPFILE_JS)
	@rm -rf $(TEMPFILE)

clean:
	- @rm script.js
	- @docker rmi $(DOCKER_IMG)

=== debian/changelog ===
prometheus-alertmanager (0.15.3+ds-3ubuntu1.2) focal-security; urgency=medium

  * SECURITY UPDATE: Stored XSS vulnerability in Alertmanager UI via 
    /api/v1/alerts endpoint                                                  
    - debian/patches/CVE-2023-40577.patch: Input validation for generatorURL 
      in ui/app/src/Views/AlertList/AlertView.elm to prevent stored XSS in 
      Alertmanager UI
    - CVE-2023-40577 

 -- Vyom Yadav <vyom.yadav@canonical.com>  Mon, 29 Jul 2024 09:50:25 +0530

prometheus-alertmanager (0.15.3+ds-3ubuntu1.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 03:36:31 +0200

prometheus-alertmanager (0.15.3+ds-3ubuntu1) focal; urgency=medium

  * Fix FTBFS due to a change in the Prometheus common library (LP: #1897967)
    - d/p/08-Fix-prometheus-common-api-change.patch: enable HTTP/2 in all
      calls to NewClientFromConfig.

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Thu, 01 Oct 2020 09:06:05 -3000

prometheus-alertmanager (0.15.3+ds-3) unstable; urgency=medium

  * Fix webserver patch to serve properly a UI compiled manually.
  * Create a separate cmdline argument for the default notification
    template.
  * Rename cmdline argument for local UI.

 -- Martín Ferrari <tincho@debian.org>  Thu, 21 Feb 2019 19:36:45 +0000

prometheus-alertmanager (0.15.3+ds-2) unstable; urgency=medium

  * Replace custom patch with backporting of upstream fix for common lib
    chages.

 -- Martín Ferrari <tincho@debian.org>  Mon, 14 Jan 2019 22:40:29 +0000

prometheus-alertmanager (0.15.3+ds-1) unstable; urgency=high

  * New upstream release.
  * Make paths relative in dummy webpage. Closes: #907224
  * Remove now unneeded symlinks. Closes: #910420.
  * Refresh patches.
  * Add patch to support current version of the common library.
    Closes: #917503.
  * Depend on the latest version of the common library.
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 14 Jan 2019 00:39:33 +0000

prometheus-alertmanager (0.15.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Automated cmd fixes.

 -- Martín Ferrari <tincho@debian.org>  Sun, 05 Aug 2018 18:58:17 +0000

prometheus-alertmanager (0.15.0+ds-4) unstable; urgency=medium

  * Release to unstable.

 -- Martín Ferrari <tincho@debian.org>  Tue, 03 Jul 2018 14:40:37 +0000

prometheus-alertmanager (0.15.0+ds-3) experimental; urgency=medium

  * debian/examples: Add missing examples.
  * Change default location of the amtool config.
  * amtool: Change default processing for author parameter; fix
    reproducibility issue.

 -- Martín Ferrari <tincho@debian.org>  Mon, 02 Jul 2018 01:26:34 +0000

prometheus-alertmanager (0.15.0+ds-2) experimental; urgency=medium

  * Fix tests that fail with certain network configurations.

 -- Martín Ferrari <tincho@debian.org>  Fri, 29 Jun 2018 11:35:04 +0000

prometheus-alertmanager (0.15.0+ds-1) experimental; urgency=medium

  * New upstream release. Closes: #894131.
  * Remove now unneeded patch.
  * Add missing shebang to example script.
  * debian/control: Fix dependency version (missing epoch).
  * Automated cmd fixes.
  * Add nocheck buildflag test; also, actually run tests!
  * Fix failing tests: missing dep, wrong template path, and missing executable.

 -- Martín Ferrari <tincho@debian.org>  Thu, 28 Jun 2018 15:44:42 +0000

prometheus-alertmanager (0.15.0~rc.2+ds-1) experimental; urgency=medium

  * Re-add missing +ds suffix.
  * debian/rules: De-mangle upstream version for metadata reporting.
  * Backport commit 387e684 to fix API breakage.
  * debian/defaults: Update flags (mesh.* -> cluster.*).
  * Install missing docs.

 -- Martín Ferrari <tincho@debian.org>  Wed, 13 Jun 2018 16:39:52 +0000

prometheus-alertmanager (0.15.0~rc.2-1) experimental; urgency=medium

  * New release candidate.
  * Refresh patches.
  * Add notice about the lack of a web interface.
  * debian/control: Only depend on daemon if systemd is not installed.

 -- Martín Ferrari <tincho@debian.org>  Tue, 12 Jun 2018 13:20:38 +0000

prometheus-alertmanager (0.15.0~rc.1~git20180507.28967e3+ds-1) experimental; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * Finally package a new upstream release.
  * debian/copyright: Update attribution.
  * debian/control: Update dependencies.
  * debian/defaults: Update available flags.
  * Update default config file.
  * Stop using pristine-tar.
  * Add bash-completion scripts, amtool binary, and examples.
  * Remove building of UI assets.
  * Ship NOTICE file as required by the Apache license.
  * Remove unused lintian overrides.
  * Add default API endpoint to amtool.
  * Simplify installation of files into package & remove old hacks.
  * Update dependencies.
  * Generate man pages.
  * Add index.html placeholder.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 May 2018 15:30:34 +0000

prometheus-alertmanager (0.6.2+ds-5) unstable; urgency=high

  * debian/rules: Fix build failure in Arch:all. Closes: #892164
  * Automated cme fixes.
  * Remove unneeded lintian overrides.
  * Update debhelper compat to 11.
  * Stop using recursive chown.
  * debian/copyright: Move repackaging comment to appease lintian.

 -- Martín Ferrari <tincho@debian.org>  Tue, 27 Mar 2018 00:03:07 +0000

prometheus-alertmanager (0.6.2+ds-4) unstable; urgency=medium

  [ Martín Ferrari ]
  * Team upload.
  * Tighten dependency versions.
  * Fix acceptance tests (log.level flag does not exist anymore).
  * Add override for missing-notice-file-for-apache-license.

  [ Michael Stapelberg ]
  * Correctly set Architecture: all for package which contains only sources

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 19:42:51 +0100

=== debian/control ===
Source: prometheus-alertmanager
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: adduser,
               bash-completion,
               debhelper (>= 11),
               dh-golang (>= 1.31~),
               golang-any (>= 2:1.10~),
               golang-github-cenkalti-backoff-dev,
               golang-github-cespare-xxhash-dev,
               golang-github-go-kit-kit-dev,
               golang-github-gogo-protobuf-dev (>= 0.5),
               golang-github-hashicorp-go-sockaddr-dev,
               golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
               golang-github-kylelemons-godebug-dev,
               golang-github-oklog-ulid-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
               golang-github-prometheus-common-dev (>= 0+git20181119),
               golang-github-satori-go.uuid-dev,
               golang-golang-x-net-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-alertmanager
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-alertmanager.git
Homepage: https://prometheus.io/
XS-Go-Import-Path: github.com/prometheus/alertmanager

Package: prometheus-alertmanager
Architecture: any
Depends: daemon | systemd-sysv,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Handle and deliver alerts created by Prometheus
 The Alertmanager handles alerts sent by client applications such as the
 Prometheus server. It takes care of deduplicating, grouping, and routing them
 to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
 also takes care of silencing and inhibition of alerts.

Package: golang-github-prometheus-alertmanager-dev
Architecture: all
Depends: golang-github-cenkalti-backoff-dev,
         golang-github-cespare-xxhash-dev,
         golang-github-go-kit-kit-dev,
         golang-github-gogo-protobuf-dev (>= 0.5),
         golang-github-hashicorp-go-sockaddr-dev,
         golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
         golang-github-kylelemons-godebug-dev,
         golang-github-oklog-ulid-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
         golang-github-prometheus-common-dev (>= 0+git20180518),
         golang-github-satori-go.uuid-dev,
         golang-golang-x-net-dev,
         golang-gopkg-alecthomas-kingpin.v2-dev,
         golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Handle and deliver alerts created by Prometheus -- source
 The Alertmanager handles alerts sent by client applications such as the
 Prometheus server. It takes care of deduplicating, grouping, and routing them
 to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
 also takes care of silencing and inhibition of alerts.
 .
 This package provides the source code to be used as a library.

## prometheus-alertmanager 0.20.0+ds

=== debian/changelog ===
prometheus-alertmanager (0.20.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Add myself to uploaders.
  * Refresh patches.
  * Drop obsolete 06-Fix_cluster_tests.patch.
  * d/docs: remove no longer existing CONTRIBUTING.md

  [ Martina Ferrari ]
  * Update initscript.
  * Use packaged version of rs/cors. Closes: #944436.

 -- Martina Ferrari <tincho@debian.org>  Tue, 14 Jan 2020 22:18:18 +0000

prometheus-alertmanager (0.19.0+ds-3) unstable; urgency=medium

  * I should really not upload before proper testing :-).

 -- Martina Ferrari <tincho@debian.org>  Wed, 30 Oct 2019 14:49:48 +0000

prometheus-alertmanager (0.19.0+ds-2) unstable; urgency=medium

  * Acceptance tests were not meant to stop the build on failure.

 -- Martina Ferrari <tincho@debian.org>  Wed, 30 Oct 2019 12:53:39 +0000

prometheus-alertmanager (0.19.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Name update.
  * Refresh patches.
  * Update vendoring copyright info.
  * Do not try to compile assets.
  * Update dependencies.
  * Manage new acceptance tests.
  * Automatic cme fixes.
  * Add needed Pre-Depends for sysvinit
  * Use a default static UI only if the user did not provide one.
  * Ship script to automatically build and deploy the Elm UI.

 -- Martina Ferrari <tincho@debian.org>  Tue, 29 Oct 2019 20:15:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,41 @@
 Source: prometheus-alertmanager
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>,
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Martina Ferrari <tincho@debian.org>,
+           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: adduser,
                bash-completion,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                dh-golang (>= 1.31~),
                golang-any (>= 2:1.10~),
                golang-github-cenkalti-backoff-dev,
                golang-github-cespare-xxhash-dev,
                golang-github-go-kit-kit-dev,
+               golang-github-go-openapi-errors-dev (>= 0.15.0~),
+               golang-github-go-openapi-loads-dev,
+               golang-github-go-openapi-runtime-dev (>= 0.15.0~),
+               golang-github-go-openapi-spec-dev,
+               golang-github-go-openapi-strfmt-dev,
+               golang-github-go-openapi-swag-dev,
+               golang-github-go-openapi-validate-dev,
                golang-github-gogo-protobuf-dev (>= 0.5),
                golang-github-hashicorp-go-sockaddr-dev,
                golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
                golang-github-kylelemons-godebug-dev,
                golang-github-oklog-ulid-dev,
                golang-github-pkg-errors-dev,
-               golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
-               golang-github-prometheus-common-dev (>= 0+git20181119),
+               golang-github-prometheus-client-golang-dev (>= 1.1.0~),
+               golang-github-prometheus-common-dev (>= 0.7.0~),
+               golang-github-rs-cors-dev,
                golang-github-satori-go.uuid-dev,
+               golang-github-xlab-treeprint-dev (>= 0.0~git20180615),
+               golang-go-flags-dev,
                golang-golang-x-net-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-alertmanager
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-alertmanager.git
 Homepage: https://prometheus.io/
@@ -33,6 +43,7 @@
 
 Package: prometheus-alertmanager
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: daemon | systemd-sysv,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -48,15 +59,25 @@
 Depends: golang-github-cenkalti-backoff-dev,
          golang-github-cespare-xxhash-dev,
          golang-github-go-kit-kit-dev,
+         golang-github-go-openapi-errors-dev (>= 0.15.0~),
+         golang-github-go-openapi-loads-dev,
+         golang-github-go-openapi-runtime-dev (>= 0.15.0~),
+         golang-github-go-openapi-spec-dev,
+         golang-github-go-openapi-strfmt-dev,
+         golang-github-go-openapi-swag-dev,
+         golang-github-go-openapi-validate-dev,
          golang-github-gogo-protobuf-dev (>= 0.5),
          golang-github-hashicorp-go-sockaddr-dev,
          golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
          golang-github-kylelemons-godebug-dev,
          golang-github-oklog-ulid-dev,
          golang-github-pkg-errors-dev,
-         golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
-         golang-github-prometheus-common-dev (>= 0+git20180518),
+         golang-github-prometheus-client-golang-dev (>= 1.1.0~),
+         golang-github-prometheus-common-dev (>= 0.7.0~),
+         golang-github-rs-cors-dev,
          golang-github-satori-go.uuid-dev,
+         golang-github-xlab-treeprint-dev (>= 0.0~git20180615),
+         golang-go-flags-dev,
          golang-golang-x-net-dev,
          golang-gopkg-alecthomas-kingpin.v2-dev,
          golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 export DH_GOPKG := github.com/prometheus/alertmanager
 
 # Acceptance tests need to be run separately.
-export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/test/acceptance examples
-export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl
+export DH_GOLANG_EXCLUDES := test/.*/acceptance examples asset
+export DH_GOLANG_EXCLUDES_ALL := 0
+export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl ui/app
 
 METAPKG := github.com/prometheus/common
 BINPKG := prometheus-alertmanager
@@ -14,12 +15,12 @@
 
 BRANCH     := debian/sid
 USER       := pkg-go-maintainers@lists.alioth.debian.org
-BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
+BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
     +%Y%m%d-%H:%M:%S)
-GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
-GCCGO      := $(strip $(shell go version | grep gccgo))
-VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | tr '~' '-')
-BUILDFLAGS := -ldflags \
+GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
+GCCGO       = $(strip $(shell go version | grep gccgo))
+VERSION     = $(shell echo '$(DEB_VERSION_UPSTREAM)' | tr '~' '-')
+BUILDFLAGS  = -ldflags \
   " -X $(METAPKG)/version.Version=$(VERSION)\
     -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
     -X $(METAPKG)/version.Branch=$(BRANCH)\
@@ -58,7 +59,14 @@
 	dh_auto_test
 	# Don't abort if acceptance tests fail, as they are too sensitive to
 	# timing issues.
-	GOPATH=$(CURDIR)/build go test -v $(DH_GOPKG)/test/acceptance || true
+	( for pkg in cli/acceptance with_api_v1/acceptance \
+	    with_api_v2/acceptance; do \
+	    DH_GOLANG_EXCLUDES= DH_GOPKG=$(DH_GOPKG)/test/$$pkg \
+	    dh_auto_test || { \
+		echo "*** Acceptance tests failed ***"; \
+		exit 1; \
+		}; \
+	  done; ) || true
 endif
 
 override_dh_auto_install:
